Bug 889648 - [abrt] nepomuk-core-4.9.4-2.fc17: QMutex::lock: Process /usr/bin/nepomukservicestub was killed by signal 11 (SIGSEGV)
Summary: [abrt] nepomuk-core-4.9.4-2.fc17: QMutex::lock: Process /usr/bin/nepomukservi...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nepomuk-core
Version: 17
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:13562f6c1e200f1dc037870ae64...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-22 07:12 UTC by Federico Leva
Modified: 2013-08-01 01:47 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 01:47:16 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (2.69 KB, text/plain)
2012-12-22 07:12 UTC, Federico Leva
no flags Details
File: environ (1.58 KB, text/plain)
2012-12-22 07:12 UTC, Federico Leva
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-22 07:12 UTC, Federico Leva
no flags Details
File: backtrace (61.21 KB, text/plain)
2012-12-22 07:12 UTC, Federico Leva
no flags Details
File: cgroup (131 bytes, text/plain)
2012-12-22 07:12 UTC, Federico Leva
no flags Details
File: smolt_data (3.31 KB, text/plain)
2012-12-22 07:12 UTC, Federico Leva
no flags Details
File: executable (27 bytes, text/plain)
2012-12-22 07:12 UTC, Federico Leva
no flags Details
File: dso_list (1.75 KB, text/plain)
2012-12-22 07:12 UTC, Federico Leva
no flags Details
File: maps (32.05 KB, text/plain)
2012-12-22 07:12 UTC, Federico Leva
no flags Details
File: proc_pid_status (791 bytes, text/plain)
2012-12-22 07:12 UTC, Federico Leva
no flags Details
File: open_fds (258 bytes, text/plain)
2012-12-22 07:12 UTC, Federico Leva
no flags Details

Description Federico Leva 2012-12-22 07:12:04 UTC
Description of problem:
Firefox was unresponsive, it was terminated but became an unkillable zombie, its parent was killed and system rebooted itself.

Version-Release number of selected component:
nepomuk-core-4.9.4-2.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/bin/nepomukservicestub nepomukstorage
crash_function: QMutex::lock
kernel:         3.6.10-2.fc17.i686.PAE

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 QMutex::lock at thread/qmutex.cpp:150
: #1 Soprano::RandomGenerator::randomInt at /usr/src/debug/soprano-2.8.0/server/randomgenerator.cpp:55
: #2 Soprano::Server::ServerConnection::Private::generateUniqueId at /usr/src/debug/soprano-2.8.0/server/serverconnection.cpp:291
: #3 Soprano::Server::ServerConnection::Private::mapIterator at /usr/src/debug/soprano-2.8.0/server/serverconnection.cpp:317
: #4 Soprano::Server::ServerConnection::Private::query at /usr/src/debug/soprano-2.8.0/server/serverconnection.cpp:540
: #5 Soprano::Server::ServerConnection::Private::_s_readNextCommand at /usr/src/debug/soprano-2.8.0/server/serverconnection.cpp:228
: #6 QMetaObject::activate at kernel/qobject.cpp:3539
: #7 QIODevice::readyRead at .moc/release-shared/moc_qiodevice.cpp:104
: #8 QIODevice::qt_static_metacall at .moc/release-shared/moc_qiodevice.cpp:53
: #9 QMetaObject::activate at kernel/qobject.cpp:3539

Comment 1 Federico Leva 2012-12-22 07:12:08 UTC
Created attachment 667620 [details]
File: core_backtrace

Comment 2 Federico Leva 2012-12-22 07:12:11 UTC
Created attachment 667621 [details]
File: environ

Comment 3 Federico Leva 2012-12-22 07:12:13 UTC
Created attachment 667622 [details]
File: limits

Comment 4 Federico Leva 2012-12-22 07:12:16 UTC
Created attachment 667623 [details]
File: backtrace

Comment 5 Federico Leva 2012-12-22 07:12:18 UTC
Created attachment 667624 [details]
File: cgroup

Comment 6 Federico Leva 2012-12-22 07:12:20 UTC
Created attachment 667625 [details]
File: smolt_data

Comment 7 Federico Leva 2012-12-22 07:12:22 UTC
Created attachment 667626 [details]
File: executable

Comment 8 Federico Leva 2012-12-22 07:12:24 UTC
Created attachment 667627 [details]
File: dso_list

Comment 9 Federico Leva 2012-12-22 07:12:28 UTC
Created attachment 667628 [details]
File: maps

Comment 10 Federico Leva 2012-12-22 07:12:31 UTC
Created attachment 667629 [details]
File: proc_pid_status

Comment 11 Federico Leva 2012-12-22 07:12:33 UTC
Created attachment 667630 [details]
File: open_fds

Comment 12 Fedora End Of Life 2013-07-03 23:15:28 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2013-08-01 01:47:25 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.